# AccurateCrosshair

Automatically calculates crosshair size based on weapon hipfire spread and field of view. Has additional options in config to disable crosshair bloom, adjust the speed it changes, move the crosshair to match recoil, and show the hidden spread reduction from not shooting for 2s.

### Patch Notes

#### v1.3.0

- Added new feature, Resize Modifier, to adjust the speed at which the crosshair changes to a new size.

#### v1.2.1

- Fixed an issue that prevented other mods from running startup code when ColorCrosshair was not also installed.

#### v1.2.0

- Added compatibility with [ColorCrosshair](https://gtfo.thunderstore.io/package/Dinorush/ColorCrosshair/).
- Fixed the Inner type first shot crosshair opacity not changing without restarting.

#### v1.1.0

- Config File has changed its names to be a bit better. Any previous settings will need to be set again. Deleting the file to remove deprecated values is also a good idea.
- Major new features:
  - Follow Recoil: The crosshair moves to match weapon recoil that decenters from your aim.
  - First Shot: Two options to display the reduced spread incurred by not shooting for 2s, either with an extra crosshair or by reducing crosshair size.
- Bug Fixes:
  - If pop is disabled, the reticle no longer stops scaling to the correct size when shooting after swapping.
  - Sentry Guns no longer affect the reticle.

#### v1.0.2

- Fixed ADSing with tools showing the previous weapon spread.

#### v1.0.1

- Fixed the mod breaking from the second level drop onwards.

#### v1.0.0

- Initial Release